Uploaded image for project: 'FreeNAS / TrueNAS'
  1. FreeNAS / TrueNAS
  2. NAS-107526

Failed Error when clicking Expand Pool

    XMLWordPrintable

    Details

      Description

      I decided to expand my zfs pool and was met with an error on just clicking the option to expand. Tried to do some cursory google searches and wasn't able to find anything that could help. nvd0 is my nvme l2arc cache and that works fine so I am not sure what is happening here.

       

      Error: Traceback (most recent call last):
      
        File "/usr/local/lib/python3.8/site-packages/middlewared/job.py", line 361, in run
      
          await self.future
      
        File "/usr/local/lib/python3.8/site-packages/middlewared/job.py", line 397, in __run_body
      
          rv = await self.method(*([self] + args))
      
        File "/usr/local/lib/python3.8/site-packages/middlewared/schema.py", line 973, in nf
      
          return await f(*args, **kwargs)
      
        File "/usr/local/lib/python3.8/site-packages/middlewared/plugins/pool_/expand.py", line 97, in expand
      
          await self._resize_disk(part_data, pool['encrypt'], geli_resize)
      
        File "/usr/local/lib/python3.8/site-packages/middlewared/plugins/pool_/expand.py", line 129, in _resize_disk
      
          await run('camcontrol', 'reprobe', part_data['disk'])
      
        File "/usr/local/lib/python3.8/site-packages/middlewared/utils/__init__.py", line 62, in run
      
          cp.check_returncode()
      
        File "/usr/local/lib/python3.8/subprocess.py", line 444, in check_returncode
      
          raise CalledProcessError(self.returncode, self.args, self.stdout,
      
      subprocess.CalledProcessError: Command '('camcontrol', 'reprobe', 'nvd0')' returned non-zero exit status 1.
      
      
      
      During handling of the above exception, another exception occurred:
      
      
      
      Traceback (most recent call last):
      
        File "/usr/local/lib/python3.8/site-packages/middlewared/job.py", line 365, in run
      
          raise handled
      
      middlewared.service_exception.CallError: [EFAULT] Command camcontrol reprobe nvd0 failed (code 1):
      
      camcontrol: cam_lookup_pass: CAMGETPASSTHRU ioctl failed
      
      cam_lookup_pass: No such file or directory
      
      cam_lookup_pass: either the pass driver isn't in your kernel
      
      cam_lookup_pass: or nvd0 doesn't exist

       

        Attachments

          Attachments

            JEditor

              Activity

                People

                Assignee:
                vladimirv Vladimir Vinogradenko
                Reporter:
                dankkronix@gmail.com Jerel Lewis
                Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                  Dates

                  Created:
                  Updated:
                  Resolved: